FoxPro ODBC 3.2 and 6.0 drivers on same machine

FoxPro ODBC 3.2 and 6.0 drivers on same machine

Post by itc_sburne » Sat, 18 Oct 2003 01:12:24


I have an application written in VBA that needs to connect to an old
DOS based FoxPro Database. I can make the connection no problem with
the current VFP ODBC driver(ver 6.0.xx). The customer is claiming
that they also have an appication that will be on the same client PC
and it requires the older FoxPro ODBC driver 3.51. Is it possible to
have both drivers loaded on the client?

A seperate question, For future development, is it feasible to have a
piece of middleware that would publish that FoxPro data as XML or a
webservice that a .net application could then use?

Steve Burnett
XXXX@XXXXX.COM
 
 
 

FoxPro ODBC 3.2 and 6.0 drivers on same machine

Post by Cindy Wine » Sat, 18 Oct 2003 08:57:13


Steven Burnett < XXXX@XXXXX.COM > posted:

Hi Steve


As far as I know you can have more than one version of the ODBC drivers
installed. When the data source is set up you can choose the driver to use.
Also, as far as I know, the 6.1.8629.1 driver will read most any kind of
FoxPro table including those created with FPD, FPW, and VFP3 -VFP6. However,
it never hurts to try out the two applications together.


You're in luck! Visual FoxPro 8 can both publish and consume web services.

From http://www.yqcomputer.com/ :

a.. XML data import and export-Import and export hierarchical XML using
support for XML DiffGrams between Visual FoxPro data cursors and ADO.NET
DataSets.

a.. XML Web services-Publish and consume SOAP-based XML Web services
compatible with .NET technology over HTTP using the Microsoft SOAP Toolkit
3.0 (included).
<<

--
Cindy Winegarden MCSD, Microsoft Visual FoxPro MVP
XXXX@XXXXX.COM , www.cindywinegarden.com